# ipadm_addrprop – Manage IP address properties on Solaris/illumos systems

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Modify IP address properties on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
addrobj - / required |  | Specifies the address object we want to manage. aliases: nic, interface
property - / required |  | Specifies the name of the address property we want to manage. aliases: name

state
-

Choices:
- present ←
- absent
- reset

Set or reset the property value.

temporary
boolean

Choices:
- no ←
- yes

Specifies that the address property value is temporary. Temporary values do not persist across reboots.

value - |  | Specifies the value we want to set for the address property.

## Examples

    - name: Mark address on addrobj as deprecated
      ipadm_addrprop: property=deprecated value=on addrobj=e1000g0/v6

    - name: Set network prefix length for addrobj
      ipadm_addrprop: addrobj=bge0/v4 name=prefixlen value=26

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
addrobj string | always | address object name Sample: bge0/v4
property string | always | property name Sample: deprecated
state string | always | state of the target Sample: present
temporary boolean | always | specifies if operation will persist across reboots Sample: True
value string | when value is provided | property value Sample: 26

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.